io.undertow.util

## Class Protocols

- java.lang.Object
- - io.undertow.util.Protocols

    public final class Protocols
    extends Object

Protocol version strings.

Author:
  David M. Lloyd

### Field Summary

Fields
`static HttpString` `HTTP_0_9`
`static String` `HTTP_0_9_STRING` HTTP 0.9.
`static HttpString` `HTTP_1_0` HTTP 1.0.
`static String` `HTTP_1_0_STRING` HTTP 1.0.
`static HttpString` `HTTP_1_1` HTTP 1.1.
`static String` `HTTP_1_1_STRING` HTTP 1.1.
`static HttpString` `HTTP_2_0` HTTP 2.0.
`static String` `HTTP_2_0_STRING` HTTP 1.1.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HTTP_0_9_STRING

    public static final String HTTP_0_9_STRING

HTTP 0.9.

See Also:
  Constant Field Values

#### HTTP_1_0_STRING

    public static final String HTTP_1_0_STRING

HTTP 1.0.

See Also:
  Constant Field Values

#### HTTP_1_1_STRING

    public static final String HTTP_1_1_STRING

HTTP 1.1.

See Also:
  Constant Field Values

#### HTTP_2_0_STRING

    public static final String HTTP_2_0_STRING

HTTP 1.1.

See Also:
  Constant Field Values

#### HTTP_0_9

    public static final HttpString HTTP_0_9

#### HTTP_1_0

    public static final HttpString HTTP_1_0

HTTP 1.0.

#### HTTP_1_1

    public static final HttpString HTTP_1_1

HTTP 1.1.

#### HTTP_2_0

    public static final HttpString HTTP_2_0

HTTP 2.0.